Skip to content
GET/api/{version}/objects/documents/{document_id}/events
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{document_id}The document id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v20.3/objects/documents/534/events
{ "responseStatus": "SUCCESS", "events": [ { "name": "download__v", "label": "Approved Email Download", "properties": { "event_date__v": "2015-03-20T22:06:40.000Z", "document_id__v": 534, "major_version_number__v": 2, "minor_version_number__v": 0, "triggered_by__v": 46916, "event_type__v": "Distribution Event", "event_subtype__v": "Approved Email", "classification__v": "Download", "external_id__v": "1234", "user_email__v": "quinntaylor@myemail.com", "event_modified_by__v": 46916, "event_modified_date__v": "2015-03-20T22:06:40.000Z", "document_number__v": "REF-0059", "document_name__v": "WonderDrug Information" } } ] }

On SUCCESS, Vault returns the list of event objects, each containing the fields as defined by the metadata for its event type. Null and/or false valued fields are omitted from the response.